package cn.com.countrygarden.bi.main.dto.personnel;

import java.math.BigDecimal;
import java.util.List;

public class PersonnelAssessmentDTO {
	
	private String  problemClassName;
	private Double avgScore;
	private List<Integer> problemIds;
	public String getProblemClassName() {
		return problemClassName;
	}
	public void setProblemClassName(String problemClassName) {
		this.problemClassName = problemClassName;
	}
	public Double getAvgScore() {
		if(avgScore!=null) {
			return new BigDecimal(avgScore).setScale(2,BigDecimal.ROUND_HALF_UP).doubleValue();
		}
		return avgScore;
	}
	public void setAvgScore(Double avgScore) {
		this.avgScore = avgScore;
	}
	public List<Integer> getProblemIds() {
		return problemIds;
	}
	public void setProblemIds(List<Integer> problemIds) {
		this.problemIds = problemIds;
	}
	
}
